// import qs from 'qs'
import request from '../index'
import request1 from '../request'
const prefix = 'sys/'
// const baseURL = window.localStorage.getItem('baseUrlAccount')!
// const baseURL = 'http://192.168.1.200:5910/'

// 修改密码
export function changePwd(data: { oldPwd: string; newPwd: string }) {
  return request.post(`${prefix}mgr/changePwd`, data)
}
// 用户列表
export function getUserList(params: object) {
  return request1({
    url: `${prefix}mgr/list`,
    method: 'get',
    params,
  })
}

// 添加用户
export function addUser(data: object) {
  return request1({
    url: `${prefix}mgr/add`,
    // url: 'sysytem/mgr/add',
    method: 'post',
    data,
  })
  // return request.post('system/mgr/add', data)
}
// 修改用户
export function updateUser(data: object) {
  return request1({
    url: `${prefix}mgr/update`,
    // url: 'system/mgr/update',
    method: 'post',
    data,
  })
  // return request.post('system/mgr/update', data)
}
// 删除用户
export function delUser(data: { id: string }) {
  return request1({
    url: `${prefix}mgr/delete`,
    method: 'post',
    data,
  })
}

// 冻结用户
export function freezeUserApi(data: { id: string }) {
  return request1({
    url: `${prefix}mgr/freeze`,
    method: 'post',
    data,
  })
}
// 冻结用户
export function unfreezeUser(data: { id: string }) {
  return request1({
    url: `${prefix}mgr/unfreeze`,
    method: 'post',
    data,
  })
}

// 重置用户密码
export function resetPwdApi(data: object) {
  return request1({
    url: 'sys/mgr/reset',
    method: 'post',
    data,
  })
}

// 分配角色
export function roleAssign(userId: string, ids: string[]) {
  return request1({
    url: 'sys/mgr/roleAssign',
    method: 'post',
    data: {
      userId,
      roleIds: ids,
    },
    // paramsSerializer: (params) => qs.stringify(params, { indices: false })
  })
}
//  获取用户所在单位
export function getUserDept() {
  return request({
    url: '/system/company',
  })
}
